:root {
    scroll-behavior: initial;
    --main-danger: #dc3746;
    --main-danger-hover: #aa001e;
    --main-info: #2396f0;
    --main-success: #4baf50;
    --main-success-hover: #3c8c3c;
    --main-warning: #ffc305;
    --very-dark-grey: #323232;
}

*, *:focus {
    outline: none!important;
}

a {
    color: var(--main-color);
    text-decoration: none;
}

a:hover {
    color: var(--main-dark);
}

b, strong, .font-weight-bold {
    font-weight: 700!important;
}

body.cookies_open .cookies_banner_backdrop {
    opacity: 1;
    pointer-events: initial;
    z-index: 2147483643;
}

html, body {
    color: var(--body-color)!important;
    font-size: 15px;
    font-weight: 400;
    max-width: 100%;
    overflow-x: hidden!important;
    scroll-behavior: initial;
}

img.white_img {
    filter: brightness(0) invert(1);
}

p {
    margin: 0!important;
}

#cookies_modal .form-check {
    transform: translate(5px, 5px)!important;
}

#cookies_modal .modal-header, #cookies_modal .modal-footer, #cookies_modal .border-top, .modal .modal-header, .modal .modal-footer, .modal .border-top {
    border-color: #e6e6e6!important;
}

#cookies_modal .modal-header, #cookies_modal .modal-footer, #cookies_modal .modal-content, .modal .modal-header, .modal .modal-footer, .modal .modal-content {
    border-radius: 15px;
}

#cookies_modal, .modal {
    z-index: 2147483646;
}

.body_color {
    color: var(--body-color);
}

.btn_accept_all_cookie, .btn_save_cookies {
    background: var(--main-color);
}

.btn_accept_all_cookie:hover, .btn_save_cookies:hover {
    background: var(--main-very-light);
}

.btn_close_banner, .btn_preferences_cookie {
    background: var(--very-dark-grey);
}

.btn_close_banner, .btn_preferences_cookie, .btn_accept_all_cookie, .btn_cookie_policy, .btn_save_cookies, .close_modal_btn {
    border: none;
    border-radius: 10px;
    line-height: 1;
    text-align: center!important;
}

.btn_close_banner.disabled, .btn_accept_all_cookie.disabled, .btn_save_cookies.disabled {
    cursor: not-allowed;
    opacity: .5;
}

.btn_close_banner:hover, .btn_preferences_cookie:hover {
    background: var(--body-color);
}

.btn_cookie_policy, .close_modal_btn {
    background: #e6e6e6;
    color: var(--body-color)!important;
}

.btn_cookie_policy:hover, .close_modal_btn:hover {
    background: #dcdcdc;
}

.close_cookies_modal {
    color: var(--body-color-t);
}

.close_cookies_modal:hover {
    color: var(--body-color);
}

.cookies_banner {
    background: #000;
    max-height: 100vh;
    overflow-y: auto;
    z-index: 2147483644;
}

.cookies_banner.hidden {
    opacity: 0;
    transform: translateY(100%);
}

.cookies_banner_backdrop {
    background: #000000bf;
    bottom: 0;
    height: 100vh;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: fixed;
    right: 0;
    top: 0;
    width: 100vw;
    z-index: -2147483647;
}

.cookies_trigger {
    background-color: var(--main-color);
    border-radius: 100%;
    bottom: 12px;
    font-size: 24px;
    height: 48px;
    left: 12px;
    position: fixed;
    width: 48px;
    z-index: 2147483642;
}

.cookies_trigger::before {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

.cursor-pointer {
    cursor: pointer!important;
}

.cursor-text {
    cursor: text!important;
}

.ease, .contract_trigger, .nav-toggle .nav-toggle-bar, .nav-toggle .nav-toggle-bar::after, .nav-toggle .nav-toggle-bar::before, .news_bg::before, .cool_bg::before, .h_ov::before , .hov_links::before , .hov_links::after {
    transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    -webkit-transition: all .25s ease;
}

.eweb_signature {
    background: #000;
    color: #ffffffbf;
    font-size: 75%;
}

.eweb_signature a {
    color: #fff;
}

.ext_policy {
    color: var(--body-color);
}

.ext_policy:hover {
    color: var(--main-color);
}

.form-switch .form-check-input:checked {
    background-color: var(--main-color);
    background-image: url("data:image/svg+xml, %3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e")!important;
    border-color: var(--main-color);
}

.form-switch .form-check-input:focus {
    background-image: url("data:image/svg+xml, %3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%2885, 135, 185, 0.25%29'/%3e%3c/svg%3e");
    border-color: var(--main-light);
    box-shadow: 0 0 0 0.25rem var(--main-color-transp);
}

.grecaptcha-badge, .super_hidden, .accordion-button::after, .fc-daygrid-week-number {
    display: none!important;
    height: 0!important;
    opacity: 0!important;
    overflow: hidden!important;
    pointer-events: none!important;
    visibility: hidden!important;
    width: 0!important;
    z-index: -2147483647!important;
}

.main_h2 , .main_subtitle {
    font-weight: 600;
}

.modal-backdrop {
    z-index: 2147483645;
}

.modal-backdrop.show {
    background-color: #000000bf;
    opacity: 1;
}
.footer_link {
    color: var(--body-color);
}
.footer_link:hover {
    color: var(--main-color);
}
.footer_social {
    height: 30px;
    width: 30px;
    background-color: var(--main-color);
    border-radius: 100%;
}
.footer_social:hover {
    background-color: var(--main-color);
}


.footer_section::before {
    background: var(--main-very-light);
    bottom: 0;
    content: '';
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: -2;
}
.footer_section::after {
    background-image: url(../../media/images/components/footer_bg.png);
    background-position: right top;
    background-size: cover;
    bottom: 0;
    content: '';
    left: 0;
    opacity: 0.5;
    position: absolute;
    right: 0;
    top: 0;
    z-index: -1;
}
.footer_section .social_link {
    font-size: 1.25rem;
}
.centered_icon {
    position: relative;
}
.centered_icon::before , .centered_icon::after {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50% , -50%);
}
.nav-toggle {
    cursor: pointer;
    height: 2rem;
    right: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    user-select: none;
    width: 2.5rem;
    z-index: 2;
    -moz-user-select: none;
    -webkit-user-select: none;
}

.nav-toggle .nav-toggle-bar {
    margin-top: 0;
}

.nav-toggle .nav-toggle-bar {
    width: 16px;
}

.nav-toggle .nav-toggle-bar, .nav-toggle .nav-toggle-bar::after, .nav-toggle .nav-toggle-bar::before {
    background: var(--body-color-t);
    content: '';
    height: 2px;
    right: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
}

.nav-toggle .nav-toggle-bar::after {
    width: 12px;
}

.nav-toggle .nav-toggle-bar::after {
    margin-top: 0.4rem;
}

.nav-toggle .nav-toggle-bar::before {
    width: 8px;
}

.nav-toggle .nav-toggle-bar::before {
    margin-top: -0.4rem;
}

.nav-toggle.expanded .nav-toggle-bar {
    background: transparent!important;
}

.nav-toggle.expanded .nav-toggle-bar, .nav-toggle.expanded .nav-toggle-bar::before, .nav-toggle.expanded .nav-toggle-bar::after {
    width: 16px;
}

.nav-toggle.expanded .nav-toggle-bar::after {
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.nav-toggle.expanded .nav-toggle-bar::after, .nav-toggle.expanded .nav-toggle-bar::before {
    margin-top: 0;
}

.nav-toggle.expanded .nav-toggle-bar::before {
    transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
}

.navbar-toggler {
    border: none!important;
    border: none;
    box-shadow: none!important;
    color: #fff;
    cursor: pointer;
    font-size: 30px;
    outline: none;
    padding: 0;
    position: relative;
}

.overflow-hidden {
    overflow: hidden!important;
    overflow-x: hidden!important;
    overflow-y: hidden!important;
}

.preloader {
    background-color: #000000d9;
    bottom: 0;
    height: 100vh;
    left: 0;
    overflow: hidden;
    position: fixed;
    right: 0;
    text-align: center;
    top: 0;
    width: 100vw;
    z-index: 2147483646;
}

.preloader .spinner {
    display: inline-block;
    height: 64px;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 64px;
}

.preloader .spinner:after {
    animation: spinner 1.2s linear infinite;
    border: 4px solid var(--main-very-light);
    border-color: var(--main-very-light) transparent var(--main-very-light) transparent;
    border-radius: 50%;
    content: " ";
    display: block;
    height: 64px;
    width: 64px;
}

.preloader span {
    color: var(--main-very-light);
    display: block;
    left: 50%;
    position: absolute;
    top: calc(50% + 40px);
    transform: translate(-50%, -50%);
}

.swal2-container {
    z-index: 2147483647!important;
}

.text-justify, .text-justify * {
    text-align: justify!important;
}
.form-group > label {
    position: absolute;
    left: 1px;
    right: 1px;
    top: 8.5px;
    cursor: text;
    z-index: 0;
}
.form-group > label.texarea_label {
    top: 0.5rem;
    transform: translateY(0);
}
textarea {
    resize: none!important;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type=number] {
  -moz-appearance: textfield;
}
.form-control {
    border-radius: 0;
    box-shadow: none!important;
    border-color: #d2d2d2;
    background-color: transparent;
    z-index: 1;
    position: relative;
    overflow: hidden;
}
.form-control:focus:not([type='file']) , .form-control:hover:not([type='file']) {
    border-color: var(--main-light);
    padding-left: 21px!important;
    background-color: transparent;
}
.form-control-lg[type='file'] {
    min-height: initial;
    font-size: 1rem;
}
.text-muted {
    color: var(--body-color-t)!important;
}
textarea {
    resize: none!important;
}

#password , #confirm_password {
    padding-right: 1.65rem!important
}
.show_hide_pw {
    color: var(--body-color-t);
    z-index: 3;
}
.show_hide_pw:hover {
    color: var(--body-color);
}
.show_hide_pw {
    top: 50%;
    transform: translateY(-50%);
    right: 7px;
}
.form-check-input:focus {
    box-shadow: 0 0 0 0.25rem rgb(0 0 0 / 25%);
    border-color: var(--main-color);
}
.form-check-input[type=checkbox].square {
    border-radius: 0;
}
.form-check-input:checked{
    background-color: var(--main-color);
    border-color: var(--main-color);
}
* , *:focus {
    outline: none!important;
}
.form-group.compiled > label , .form-group:hover > label {
    font-size: 75%;
	top: 0;	
	left: 7px;
    padding: 0 7px!important;
	right: initial;
	transform: translateY(-50%);
    z-index: 2;
}


.zx-1 {
    z-index: 1;
}
th.wsnw {
    width: 1%;
    white-space: nowrap;
}
table * {
    color: var(--body-color);
}
.table-striped>tbody>tr:nth-of-type(odd) {
    --bs-table-accent-bg: #f2f3f5;
}
.hov_links:not(.no_hov):hover {
    color: var(--main-very-dark);
    background: #fff!important;
}
.hov_links:not(.no_hov):hover::before {
    width: 80%;
}
.hov_links:not(.no_hov)::before, .hov_links:not(.no_hov)::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    bottom: 0;
    height: 100%;
    background: var(--body-color);
    opacity: .05;
    transform: skewX(20deg);
    transform-origin: bottom;
}
.hov_links:not(.no_hov):hover::after {
    width: 95%;
}
.hov_links:not(.no_hov)::before, .hov_links:not(.no_hov)::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 0%;
    bottom: 0;
    height: 100%;
    background: var(--body-color);
    opacity: .05;
    transform: skewX(20deg);
    transform-origin: bottom;
}

.nav_logo img {
    max-width: 210px;
    max-height: 80px;
}
.slide {
    background-image: url(../../media/images/components/slide.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.slide.detail::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    background: #fff;
    opacity: .85;
    z-index: 0;
}
.nav_link:not(.login_btn) {
    color: var(--body-color);
    border-top: solid 2px transparent;
    border-bottom: solid 2px transparent;
}

.nav_link:not(.login_btn):hover {
    color: var(--main-color);
    border-bottom: solid 2px var(--main-color);
}

.nav_link.login_btn {
    border-top: solid 2px transparent;
    border-bottom: solid 2px transparent;
    background-color: var(--main-color);
}

.btn_black , .btn-theme:hover{
    background-color: var(--main-color);
}

.btn-theme {
    border-radius: 0;
}
.btn-check:focus+.btn, .btn:focus {
    outline: 0;
    box-shadow: none!important;
}

form button.disabled {
    pointer-events: none!important;
    opacity: .5!important;
}

.swal2-popup {
    border-radius: 0!important;
}
.nav_link.login_btn:hover , .btn_black:hover , .btn-theme {
    background-color: var(--main-color);
}
.login_link {
    color: var(--body-color-t);
}
.login_link:hover {
    color: var(--main-color);
}
.newsletter_section {
    background-image: url(../../media/images/components/newsletter.png);
    background-size: cover;
    background-position: center top;
}
::-webkit-scrollbar {
    height: 0!important;
    width: 3px!important;
}

::-webkit-scrollbar-thumb {
    background: var(--main-very-dark);
}

::-webkit-scrollbar-thumb:hover {
    background: var(--main-color);
}

::-webkit-scrollbar-track {
    background: #fff;
}

::selection {
    background: #80808040;
}
.bg-light {
    background-color: #f2f3f5!important;
}
.footer_section h5 {
    font-weight: 600;
}
.main_color {
    color: var(--main-color)!important;
}

.pbg:nth-child(1) {
    color: var(--main-info);
}
.pbg:nth-child(2) {
    color: var(--main-danger);
}
.pbg:nth-child(3) {
    color: var(--main-warning);
}
.pbg:nth-child(4) {
    color: var(--main-info);
}
.pbg:nth-child(5) {
    color: var(--main-success);
}
.pbg:nth-child(6) {
    color: var(--main-danger);
}
.team_table_img {
    max-width: 50px;
    width: 50px;
    max-height: 50px;
    height: 50px;
    object-position: center;
    margin: auto;
    object-fit: contain;
}
.competition_overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: center;
    opacity: .03;
    transform: scale(270%);
    pointer-events: none;
}
.match_link:not(.no_hov):hover .competition_overlay {
    opacity: 0.1;
    transform: scale(285%);
}
.match_link .content {
    z-index: 4;
}
.match_link {
    color: var(--body-color);
}
.match_link:hover {
    color: var(--main-color);
}
.res_score {
    width: 30px;
    text-align: center;
}
.op_0 {
    opacity: 0;
}
.hide_it , .hide_me {
    opacity: 0!important;
    height: 0!important;
    pointer-events: none!important;
    display: none!important;
    visibility: hidden!important;
    z-index: -99999!important;
    position: relative!important;
    width: 0!important;
    overflow: hidden;
}
.delete_this_one {
    height: 39.5px;
    width: 39.5px;
}
.progress {
    display: flex;
    height: 0.5rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #d8dae0;
    border-radius: 0;
}
.progress_container {
    bottom: 0;
    left: 0;
    right: 0;
    position: absolute;
    z-index: 3;
}
.space_hidden {
    height: 25px;
}
.progress .progress-bar.low_color {
    background-color: var(--main-success);
}
.progress .progress-bar.medium_color {
    background-color: var(--main-warning);
}
.progress .progress-bar.medium_high_color {
    background-color: var(--main-info);
}
.progress .progress-bar.high_color {
    background-color: var(--main-danger);
}
@media only screen and (max-width:1200px) {
    .navbar.navbar-expand-xl {
        border-bottom: 1px solid #dee2e6!important;
    }
    .nav_logo img {
        max-height: 50px;
        width: auto;
    }
    .footer_logo img {
        max-height: 150px;
        width: auto;
    }
}

@media only screen and (min-width:1200px) {
    .footer_logo img {
        width: 210px;
    }
    .first_match .team_table_img {
        max-width: 100px;
        width: 100px;
        max-height: 100px;
        height: 100px;
    }
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}